#ifndef __DEFINE_H__
#define __DEFINE_H__

#include <fstream>
#include <string> 
//#include <iostream>
#include <cmath>
#include <stdlib.h> 
#include <time.h>
#include <limits.h>
#include <cstdlib>
#include <ilcplex/cplex.h>

// Allge l'utilisation de la librairy standard std.
using namespace std ;

// Dfinition des types de donnes
typedef unsigned int  uint16 ;
typedef unsigned long int uint32 ;
typedef long long int int64 ;

// Constante
const uint16 TAILLE = 100 ;
const uint16 TAILLECOL = 100 ;
const uint16 TAILLEROW = 100 ;
const uint16 TAILLETAB = 100 ;
const uint16 TAILLEMAT = 100 ;
const uint16 TAILLESTR = 100 ;

template <typename T, size_t _TAILLE = TAILLETAB>
struct t_liste
{
   T TAB[_TAILLE] ;
   uint16 Taille ;
} ;


template <typename T>
struct t_matrix
{
   T ** Value ;
   uint16 Lenght ;
} ;

#endif

